function [N,L,R,H,G] = normlights( N, L, norms)
%NORMLIGHTS normalize the columns of L.
%   auxiliary function called by ps3dstep1.
%
%   See also ps3dstep1.

%   A. Concas, R. Dessì, C. Fenu, G. Rodriguez & M. Vanzi
%   Email: concas.anna@gmail.com, richidessi@gmail.com, kate.fenu@gmail.com, 
%   rodriguez@unica.it, vanzi@diee.unica.it
%
%   Last revised June, 2021

q = size(L,2);
if nargin<3, norms = ones(q,1); end

H = zeros(q,6);
H(:,1) = L(1,:)'.^2;
H(:,2) = L(2,:)'.^2;
H(:,3) = L(3,:)'.^2;
H(:,4) = 2*L(1,:)'.*L(2,:)';
H(:,5) = 2*L(1,:)'.*L(3,:)';
H(:,6) = 2*L(2,:)'.*L(3,:)';
if q >= 6
	%fprintf('solving by backslash\n')
	g = H\norms;
else
	%fprintf('solving by pinv\n')
	g = pinv(H)*norms;
end
G = reshape(g([1 4 5 4 2 6 5 6 3]),3,3);
R = chol(G);
L = R*L;
N = R'\N;

