function plotlights(L,fig,fsiz,ix,iy)
%PLOTLIGHTS 2-D plot of light directions.
%   plotlights(L,fig) plots arrows with components specified by L,
%   in figure fig with font size fsiz.
%
%   See also datasynth, testsynth, and testshell.

%   A. Concas, R. Dessì, C. Fenu, G. Rodriguez & M. Vanzi
%   Email: concas.anna@gmail.com, richidessi@gmail.com, kate.fenu@unica.it, 
%   rodriguez@unica.it, vanzi@diee.unica.it
%
%   Last revised June, 2021

if nargin<5, ix = 1; iy = 2; end
if nargin<3, fsiz = 10; end
if nargin>1, figure(fig), end

plot([0;L(ix,1)],[0;L(iy,1)])
text(L(ix,1),L(iy,1),'1')
axis equal
hold on
for j = 2:size(L,2)
	plot([0;L(ix,j)],[0;L(iy,j)])
	text(L(ix,j),L(iy,j),num2str(j))
end
ray = max(sqrt(diag(L([ix iy],:)'*L([ix iy],:))));
th = [0:100]'/100*2*pi;
plot(ray*cos(th),ray*sin(th))
hold off
set(gca,'fontsize',fsiz)

