function hh = plotlights3d(L,fig,fsiz)
%PLOTLIGHTS3D 3-D plot of light directions.
%   hh = plotlights3d(L,fig,fsiz) plots arrows with components specified by L,
%   in figure fig with font size fsiz.
%
%   See also datasynth, testsynth, and testshell.

%   A. Concas, R. Dessì, C. Fenu, G. Rodriguez & M. Vanzi
%   Email: concas.anna@gmail.com, richidessi@gmail.com, kate.fenu@unica.it, 
%   rodriguez@unica.it, vanzi@diee.unica.it
%
%   Last revised June, 2021

if nargin<3, fsiz = 10; end
if nargin>1, figure(fig), end

X = zeros(1,size(L,2));
h1 = quiver3(X,X,X,L(1,:),L(2,:),L(3,:));
set(gca,'fontsize',fsiz)
axis equal
hold on
for j = 1:size(L,2)
	text(L(1,j),L(2,j),L(3,j),num2str(j),'fontsize',fsiz)
end
hold off
if nargout>0, hh = h1; end

