% process the shell dataset.

% initialization
econ = 0;		% clean memory
show = 1;		% disable for large datasets
fsiz = 12;		% font size for figures
scalefactor = 0.3;	% to reduce size of images 
displayfactor = 0.1;	% for displaying images on screen
nrow = 4; ncol = 5;	% grid for figure 2

A = 14;			% horizontal size of image in meters (or cm, ...)
light2 = 0;		% west light is unknown

load shell
whos L M r s

% compute constants
p = r*s;		% pixels number
q = size(M,2);		% lights number

fprintf('images size  : %d X %d\n',r,s)
fprintf('problem size : %d\n',p)
fprintf('images number: %d\n',q)

figure(2)
clf
fprintf('displaying images:')
for i = 1:q
	fprintf(' %d',i)
	figure(2)
	subplot(nrow,ncol,i)
	pcolor(imresize(reshape(M(:,i),s,r),displayfactor))
	colormap gray
	shading interp
	axis image
	axis off
	%pause
end
fprintf('\n')
disp('press a key to continue ...'), pause

[U,X,Y,D,N,L,P,Q] = ps3d(M,r,s,A,light2,6,fsiz);

if show
	figure(3)
	S = surfl(X,Y,U);
	%S = surfl(X,Y,U,[1000;-1000;40],'light');
	set(S(1),'facecolor','texture','Cdata',D,'edgecolor','none')
	colormap gray
	shading interp
	light
	axis equal
	axis off
	set(gca,'fontsize',fsiz)
	title('Reconstruction')
end

disp(' ')
disp('to save 3D model: writeply(X,Y,U,repmat(D,1,1,3),''shell'')')
disp('then use an external viewer to display it')
disp('for example: meshlab shell.ply &')

